SET SQL DIALECT 3;

SET NAMES ISO8859_1;

CREATE DATABASE 'localhost:C:\TEDALO\db\tedalo.fdb' USER 'SYSDBA' PASSWORD 'masterkey' PAGE_SIZE 8192 DEFAULT CHARACTER SET ISO8859_1;


CREATE DOMAIN d_m_id AS NUMERIC(18,0) NOT NULL;
CREATE DOMAIN d_str30 AS VARCHAR(30) CHARACTER SET ISO8859_1 COLLATE SV_SV;
CREATE DOMAIN d_now AS TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL;
CREATE DOMAIN d_boolean AS SMALLINT
         Default 0
         CHECK (VALUE BETWEEN 0 AND 1); /* 0=False, 1=True */

CREATE GENERATOR gen_m_id;
SET    GENERATOR gen_m_id TO 0;


CREATE TABLE measures
(
  m_id            d_m_id,
  m_job           d_str30,              /* Phone number */
  m_channel_nr    INTEGER,
  m_time          TIMESTAMP,
  m_value         DOUBLE PRECISION,
  exp2toa5        d_boolean,
  tid_skapad      d_now,
 CONSTRAINT pk_m_id PRIMARY KEY (m_id)
);
CREATE UNIQUE INDEX uidx_measures ON measures (m_job, m_time, m_channel_nr, m_value);

SET TERM !! ;
CREATE TRIGGER tg_bi_measures FOR measures BEFORE INSERT POSITION 0 AS
BEGIN
  IF ( ( new.m_id IS NULL ) OR ( new.m_id = 0 ) ) THEN
    new.m_id = GEN_ID(gen_m_id, 1 );
END !!
SET TERM ; !!
COMMIT;
