{
    This file is part of Tedalo.

    Tedalo converts data sent from Keller GSM-2/ARC-1 to TOA5 file format.

    Copyright (C) 2011-2020  Corax Solution AB.

    Tedalo is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Tedalo is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Tedalo.  If not, see <http://www.gnu.org/licenses/>.

    Note that Tedalo depends on other software, with different licensing
    conditions.

    For more information, contact Jörg Schiemann, josc@corax.nu
}

program tedalo;

uses
  Forms,
  Windows,
  fmMain in 'fmMain.pas' {frmMain},
  klParse in 'klParse.pas',
  klMemoryPage in 'klMemoryPage.pas',
  klGSM2Mail in 'klGSM2Mail.pas',
  klGSM2Data in 'klGSM2Data.pas',
  utCRC in 'utCRC.pas',
  klTOA5 in 'klTOA5.pas',
  utString in 'utString.pas',
  dmSystem in 'dmSystem.pas' {daSystem: TDataModule},
  klSettings in 'klSettings.pas',
  klJob in 'klJob.pas',
  klMatrix in 'klMatrix.pas',
  utDate in 'utDate.pas',
  utFileOps in 'utFileOps.pas',
  utSystem in 'utSystem.pas',
  klVDV in 'klVDV.pas',
  utLog in 'utLog.pas',
  utTCPIP in 'utTCPIP.pas',
  fmAbout in 'fmAbout.pas' {frmAbout};

{$R *.res}

const
  MutexName = 'Tedalo';

var
  hMutex: THandle;

begin
  hMutex := CreateMutex(NIL, True, MutexName);
  if (hMutex = 0) OR (GetLastError = ERROR_ALREADY_EXISTS) then begin
    Application.MessageBox('Tedalo is already running!', 'Tedalo', MB_OK + MB_ICONINFORMATION);
    Halt;
  end;
  Application.Initialize;
  Application.Title := 'Tedalo';
  Application.CreateForm(TfrmMain, frmMain);
  Application.CreateForm(TfrmAbout, frmAbout);
  Application.Run;
  ReleaseMutex(hMutex);
  CloseHandle(hMutex);
end.
